-- Created by Sunk

-------------------------------------------
----------List of custom surfaces----------
-------------------------------------------
--[[
    Surfaces:
    0x2 - Firsty wall
    0x6 - Wide angle wall
    0x7 - Bounce floor/wall
    0x8 - Ceil-bonk wall
    0xC - Fast floor
    0xF - Hover
    0x10 - Pull
    0x11 - Free movement
    0x17
    0x18
    0x19
    0x1F
    0x20
    0x2B
    0x31
    0x39
    0x3A
    0x3B
    0x3C
    0x3D
    0x3E
    0x3F
    0x40
    ... and a lot more, but I don't think I even need this much
]]



----------------
-----Switches---
----------------

SEQ_INDOORS = 0x0D
SEQ_OUTDOORS = 0x04-- insert real id
SEQ_PIPED = 0x05-- insert real id
SEQ_MOUNTAIN = 0x28
SEQ_CAVE = 0x24
SEQ_DESERT = 0x35
function play_music_if_not_yet(seq)
    local cur = get_current_background_music()
    if cur ~= seq and cur-1024 ~= SEQ_EVENT_POWERUP and cur-1024 ~= SEQ_EVENT_METAL_CAP then
        stop_background_music(cur)
        set_background_music(0, seq, 0)
    end
end
hook_event(HOOK_MARIO_UPDATE, function (m)
    if m.playerIndex ~= 0 then return end
    if gNetworkPlayers[0].currLevelNum == LEVEL_PSS then
        if m.floor.type == 27 then
            play_music_if_not_yet(SEQ_INDOORS)
        elseif m.floor.type == 28 then
            play_music_if_not_yet(SEQ_OUTDOORS)
        elseif m.floor.type == 29 then
            play_music_if_not_yet(SEQ_PIPED)
        end
    end
    end)

    hook_event(HOOK_MARIO_UPDATE, function (m)
        if m.playerIndex ~= 0 then return end
        if gNetworkPlayers[0].currLevelNum == LEVEL_WF then
            if m.floor.type == 27 then
                play_music_if_not_yet(SEQ_CAVE)
            end
        end
        end)

        hook_event(HOOK_MARIO_UPDATE, function (m)
            if m.playerIndex ~= 0 then return end
            if gNetworkPlayers[0].currLevelNum == LEVEL_SSL then
                if m.floor.type == 27 then
                    play_music_if_not_yet(SEQ_CAVE)
                elseif m.floor.type == 0 then
                    play_music_if_not_yet(SEQ_DESERT)
                end
            end
            end)
    
